Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class DHTMLElementContainer

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLElement
            |
            +--oracle.jdeveloper.html.DHTMLElement
                  |
                  +--oracle.jdeveloper.html.DHTMLElementContainer

Direct Known Subclasses:
  DHTMLArray, HTMLScript

public class DHTMLElementContainer
extends DHTMLElement

This class serves as a container for HTML elements. When it renders, it calls the render(0 method on it's containees.

Version:
  PUBLIC

Field Summary
`protected java.util.Vector` | `Elements`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Constructor Summary
`DHTMLElementContainer()`

Method Summary
`void` | `addElement(DHTMLElement elem)` Adds an element to the collection of elements to be rendered
`void` | `addElement(HTMLElement elem)` Adds an element to the collection of elements to be rendered
`protected HTMLElement` | `elementAt(int nIndex)`
`int` | `indexOf(java.lang.Object object)`
`int` | `numberOfElements()`
`void` | `removeElement(DHTMLElement elem)` Remove an element to the collection of elements to be rendered
`void` | `removeElement(HTMLElement elem)` Remove an element to the collection of elements to be rendered
`void` | `removeElementAt(int index)` Remove an element to the collection of elements to be rendered
`void` | `render(java.io.PrintWriter out)` Renders the container's header, contained objects and footer.
`protected void` | `renderContainerFooter(java.io.PrintWriter out)`
`protected void` | `renderContainerHeader(java.io.PrintWriter out)`
`protected void` | `renderElementFooter(java.io.PrintWriter out)`
`protected void` | `renderElementHeader(java.io.PrintWriter out)`

Methods inherited from class oracle.jdeveloper.html.DHTMLElement
`CheckValidName, filterDataChar`

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Elements

    protected java.util.Vector Elements

Constructor Detail

### DHTMLElementContainer

    public DHTMLElementContainer()

Method Detail

### addElement

    public void addElement(DHTMLElement elem)

  Adds an element to the collection of elements to be rendered

### addElement

    public void addElement(HTMLElement elem)

  Adds an element to the collection of elements to be rendered

### removeElement

    public void removeElement(HTMLElement elem)

  Remove an element to the collection of elements to be rendered

### removeElement

    public void removeElement(DHTMLElement elem)

  Remove an element to the collection of elements to be rendered

### removeElementAt

    public void removeElementAt(int index)

  Remove an element to the collection of elements to be rendered

### numberOfElements

    public int numberOfElements()

  Returns:
    the number of elements that have been added so far.

### elementAt

    protected HTMLElement elementAt(int nIndex)

  Returns:
    The element at the provided index

### indexOf

    public int indexOf(java.lang.Object object)

  Returns:
    The index of the provided element

### renderContainerHeader

    protected void renderContainerHeader(java.io.PrintWriter out)
                                  throws java.lang.Exception

### renderContainerFooter

    protected void renderContainerFooter(java.io.PrintWriter out)
                                  throws java.lang.Exception

### renderElementHeader

    protected void renderElementHeader(java.io.PrintWriter out)
                                throws java.lang.Exception

### renderElementFooter

    protected void renderElementFooter(java.io.PrintWriter out)
                                throws java.lang.Exception

### render

    public void render(java.io.PrintWriter out)
                throws java.lang.Exception

  Renders the container's header, contained objects and footer.
  Overrides:
    render in class HTMLElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD